This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 171299 - yum update does not find a steady state
yum update does not find a steady state
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-20 11:31 EDT by Peter Ennis
Modified: 2014-01-21 17:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-20 13:15:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ennis 2005-10-20 11:31:28 EDT
Description of problem:

[root@fc4g ~]# yum update
Setting up Update Process
Setting up repositories
updates-released          100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 336 kB    00:02
updates-re: ################################################## 947/947
Added 0 new packages, deleted 5 old in 8.27 seconds
No Packages marked for Update/Obsoletion
[root@fc4g ~]# yum update
Setting up Update Process
Setting up repositories
updates-released          100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 343 kB    00:04
updates-re: ################################################## 967/967
Added 20 new packages, deleted 0 old in 8.32 seconds
primary.xml.gz            100% |=========================| 877 kB    00:05
extras    : ################################################## 2440/2440
Added 0 new packages, deleted 190 old in 17.61 seconds
No Packages marked for Update/Obsoletion
[root@fc4g ~]# yum update
Setting up Update Process
Setting up repositories
updates-released          100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 939 kB    00:05
extras    : ################################################## 2630/2630
Added 190 new packages, deleted 0 old in 23.13 seconds
No Packages marked for Update/Obsoletion
[root@fc4g ~]# yum update
Setting up Update Process
Setting up repositories
updates-released          100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
No Packages marked for Update/Obsoletion
[root@fc4g ~]# yum update
Setting up Update Process
Setting up repositories
updates-released          100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 339 kB    00:02
updates-re: ################################################## 952/952
Added 5 new packages, deleted 20 old in 7.91 seconds
No Packages marked for Update/Obsoletion
[root@fc4g ~]# yum update
Setting up Update Process
Setting up repositories
updates-released          100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 336 kB    00:09
updates-re: ################################################## 947/947
Added 0 new packages, deleted 5 old in 7.35 seconds
No Packages marked for Update/Obsoletion
[root@fc4g ~]# yum update
Setting up Update Process
Setting up repositories
updates-released          100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 343 kB    00:02
updates-re: ################################################## 967/967
Added 20 new packages, deleted 0 old in 8.48 seconds
No Packages marked for Update/Obsoletion
[root@fc4g ~]# yum update
Setting up Update Process
Setting up repositories
updates-released          100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
No Packages marked for Update/Obsoletion
[root@fc4g ~]# yum update
Setting up Update Process
Setting up repositories
updates-released          100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 336 kB    00:02
updates-re: ################################################## 947/947
Added 0 new packages, deleted 20 old in 7.38 seconds
primary.xml.gz            100% |=========================| 877 kB    00:05
extras    : ################################################## 2440/2440
Added 0 new packages, deleted 190 old in 17.38 seconds
No Packages marked for Update/Obsoletion
[root@fc4g ~]# yum update
Setting up Update Process
Setting up repositories
updates-released          100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 343 kB    00:02
updates-re: ################################################## 967/967
Added 20 new packages, deleted 0 old in 8.32 seconds
primary.xml.gz            100% |=========================| 939 kB    00:07
extras    : ################################################## 2630/2630
Added 190 new packages, deleted 0 old in 22.84 seconds
No Packages marked for Update/Obsoletion
[root@fc4g ~]#




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. yum update
2.
3.
  
Actual results:


Expected results:

If it is updated then it should be updated.
The messages are cycling between adding and deleting
packages.


Additional info:
Comment 1 Seth Vidal 2005-10-20 13:15:47 EDT
You're using the mirrorlists and some of the mirrors are out of sync. Hence the
changes.




Comment 2 Peter Ennis 2005-10-20 16:21:37 EDT
Is there a list of best mirrors and
info about where to apply it to FC4?

What are the best locations to
reduce this drift?

Is there such a list for rawhide?

The info will help reduce spurious
bug reports that are mirror synch
dependent.

Thanks,

PFE

Note You need to log in before you can comment on or make changes to this bug.